commit:     b9cff4a4efd7525dd4a5c56017c9321d4c80e0e1
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 17 10:34:24 2018 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Wed Jun 27 15:24:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9cff4a4

dev-util/buildbot-www: Version bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-util/buildbot-www/Manifest                  |  1 +
 dev-util/buildbot-www/buildbot-www-1.1.2.ebuild | 51 +++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-util/buildbot-www/Manifest b/dev-util/buildbot-www/Manifest
index 26f40e13e94..b6a79df5ea5 100644
--- a/dev-util/buildbot-www/Manifest
+++ b/dev-util/buildbot-www/Manifest
@@ -2,3 +2,4 @@ DIST buildbot-www-0.9.12.tar.gz 691551 BLAKE2B 
9bef044fe9e48e34d3e314d9c9b7446a1
 DIST buildbot-www-0.9.13.tar.gz 691556 BLAKE2B 
cd3fe546c88308debc6dd621e8979c400816a11235b67c23e539bb3525746a864d76df2c4f8e04f63ba4459d2186094543115ab51bdc35f56b20c8c1a0ed5a68
 SHA512 
b092014e490ed46f2551ddeeaef5364c85b048cdda298af11acdf664d799fc52ef6f8daa17cf7a98d588c59abcbdfebb666345b44d551859d3db9b4fa358adb9
 DIST buildbot-www-0.9.15.post1.tar.gz 718007 BLAKE2B 
af64eb2e0fabea2af3c02c294d50c924211755358187bd0d52f43821fddcd6d566f8aad1136da3ca69f924aee3bce52cde1e48af3c3f0419c23d6c1be25c17ee
 SHA512 
749fd6e763580bb0fd27f7ce1576ee193ccf9cb42616c3b393a0bfac9469d9a42372069d087ceae3557e72540a3e0cc37087ba4b7901cbb67877f17f27422a47
 DIST buildbot-www-1.1.0.tar.gz 718666 BLAKE2B 
86bc329eb80aacf44c5bd01eaaf6b8f0631cb808080fe17f667f54746f841f9d88aa7b699e6083546b6e2dfb1171333ee173c484c9fdea285bdd5769d90a6528
 SHA512 
8e95a4faf393a81fccab225cf33ee13947cb72e441e2cfde833843838686a888cff24e45c6085d4ac431dec177d696441cb21014d172ae23b61ef70164fccb31
+DIST buildbot-www-1.1.2.tar.gz 718705 BLAKE2B 
009ae0dc07693f9eee4e3982ccbecb32d64e7d27e374f539cd541a5f80d9b9bf798e8836502cd26a5477b0ee842dbfae2308608fa3320e682afd0bcda2f89f1e
 SHA512 
e4a0f7aee5e38d0522d39c819d4b9865966e020fd89b156e79807417fd7f82d497fbceafcc8a89e5beb6def1f42e4bfc595053581cbe2634520ad2c806ce3968

diff --git a/dev-util/buildbot-www/buildbot-www-1.1.2.ebuild 
b/dev-util/buildbot-www/buildbot-www-1.1.2.ebuild
new file mode 100644
index 00000000000..8ee469d1634
--- /dev/null
+++ b/dev-util/buildbot-www/buildbot-www-1.1.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+EGIT_REPO_URI="https://github.com/buildbot/buildbot.git";
+
+[[ ${PV} == *9999 ]] && inherit git-r3
+inherit distutils-r1
+
+DESCRIPTION="BuildBot base web interface, use with 
buildbot-{console-view,waterfall-view}..."
+HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot 
https://pypi.org/project/buildbot-www/";
+
+MY_PV="${PV/_p/.post}"
+MY_P="${PN}-${MY_PV}"
+[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]]; then
+       KEYWORDS=""
+else
+       KEYWORDS="~amd64"
+fi
+
+IUSE="test"
+
+RDEPEND=""
+
+DEPEND="${RDEPEND}
+       >=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-${PV}[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-pkg-${PV}[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+#[[ ${PV} == *9999 ]] && S=${S}/www/base
+
+python_test() {
+       distutils_install_for_testing
+
+       esetup.py test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+}

Reply via email to